# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b1297"
os.chdir("/Users/was/notebook/misc/worksheets/admin/275/cells/288")
sage.server.notebook.interact.SAGE_CELL_ID=288
__SAGE_t__=cputime()
__SAGE_w__=walltime()
#var('x,y,z,w',ns=1)
#S = x.parent()

@interact
def _(points=selector((ellipsis_range(Integer(5),Ellipsis,Integer(10))), buttons=True, default=Integer(7)),
      interpolation_points=(ellipsis_iter(Integer(15),Ellipsis,Integer(50))),
      mesh=False, raytrace=False, seed=(Integer(18),(ellipsis_iter(Integer(0),Ellipsis,Integer(99))))):
    print 'This uses Java 2D (jmol) and scipy.interpolate to draw a surface through some random points.'
    set_random_seed(seed)
    show(list_plot3d(random_matrix(RDF, points), interpolation_type='nn',
         num_points=interpolation_points,
         texture='red', frame_aspect_ratio=[Integer(1),Integer(1),Integer(1)/Integer(2)], mesh=mesh,
         viewer='tachyon' if raytrace else 'jmol'))
print "CPU time: %.2f s,  Wall time: %.2f s"%(cputime(__SAGE_t__), walltime(__SAGE_w__))

print "e1297"
