# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b1300"
os.chdir("/Users/was/notebook/misc/worksheets/admin/275/cells/294")
sage.server.notebook.interact.SAGE_CELL_ID=294
__SAGE_t__=cputime()
__SAGE_w__=walltime()
@interact
def foo(phrase = 'numpy scipy matplotlib sage', states=(Integer(3),(ellipsis_iter(Integer(1),Ellipsis,Integer(40)))),
        output = (Integer(1000),(ellipsis_iter(Integer(100),Ellipsis,Integer(2000)))),
        show_model=False, seed=(ellipsis_iter(Integer(0),Ellipsis,Integer(100)))):
    print "Type in a some text.  This will train a Hidden Markov Model with %s states to generate similar text."%states
    set_random_seed(seed)
    A = random_matrix(RDF, states).apply_map(abs)
    B = [[random() for _ in range(Integer(27))] for _ in range(states)]
    letters = [chr(Integer(97)+i) for i in range(Integer(26))] + [' ']
    H = hmm.DiscreteHiddenMarkovModel(A,B, [Integer(1)]*states, letters)
    H.normalize()
    phrase = (' ' + phrase + ' ').lower()
    phrase = [x for x in phrase if x in letters]
    try:
        H.baum_welch(phrase)
    except Exception, msg:
        pass
    print "Here is the text:\n\n"
    print ''.join(H.sample(output))
    print '\n'*Integer(2)
    if show_model:
        show(matrix_plot(H.transition_matrix()))
        show(matrix_plot(H.emission_matrix()))
        dx = dict([ (i, [j for j in range(A.ncols()) if abs(A[i,j])>RealNumber('0.2')])   for i in range(A.nrows())])
        show(plot(Graph(dx)))
print "CPU time: %.2f s,  Wall time: %.2f s"%(cputime(__SAGE_t__), walltime(__SAGE_w__))

print "e1300"
