# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b1301"
os.chdir("/Users/was/notebook/misc/worksheets/admin/275/cells/277")
sage.server.notebook.interact.SAGE_CELL_ID=277
print _support_.syseval(fortran, ur'''
      SUBROUTINE MANDELBROT(BIT)      
      INTEGER I, J
      INTEGER ITICS0, ITICS1
      REAL CPTIM
      REAL BIT(513,513)
cf2py intent(out) bit
      REAL COUNT
      REAL AA, BB, D
      COMPLEX Z, CC, NEWZ
      DATA NEWZ /(0.0,0.0)/, BB /2.5/, D /1.5/

c mandelbrot set test
      AA = 3.0 / FLOAT(512)
      DO 30 I = 1, 512
       DO 20 J = 1, 512
        CC = CMPLX(AA*FLOAT(I)-BB,AA*FLOAT(J)-D)
        Z = NEWZ
        COUNT = 256
   10   Z = Z * Z + CC
        COUNT = COUNT - 1
        IF (COUNT.GT.0.AND.CABS(Z).LT.4) GOTO 10
        BIT(J,I)=COUNT+1   
   20  CONTINUE
   30 CONTINUE
      AV = 0.0
      DO 50 I = 1, 512
       DO 40 J = 1, 512
        AV = AV + ALOG(1+ABS(BIT(I,J)))
   40  CONTINUE
   50 CONTINUE

      CPTIM = FLOAT(ITICS1-ITICS0) / 100.0

      END''', '/Users/was/notebook/misc/worksheets/admin/275/cells/277')

print "e1301"
